## org.hibernate.engine.spi
Enum ValueInclusion

    java.lang.Object
      java.lang.Enum<ValueInclusion>
          org.hibernate.engine.spi.ValueInclusion

All Implemented Interfaces:
  Serializable, Comparable<ValueInclusion>

    public enum ValueInclusion

extends Enum<ValueInclusion>

An enum of the different ways a value might be "included".

This is really an expanded true/false notion with "PARTIAL" being the expansion. PARTIAL deals with components in the cases where parts of the referenced component might define inclusion, but the component overall does not.

Enum Constant Summary
`FULL`
`NONE`
`PARTIAL`

Method Summary
`static ValueInclusion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueInclusion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ValueInclusion NONE

### FULL

    public static final ValueInclusion FULL

### PARTIAL

    public static final ValueInclusion PARTIAL

Method Detail

### values

    public static ValueInclusion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueInclusion c : ValueInclusion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueInclusion valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.